`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   02:13:40 03/31/2016
// Design Name:   prelab06
// Module Name:   D:/Prelab06/prelab06_test.v
// Project Name:  Prelab06
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: prelab06
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module prelab06_test;

	// Inputs
	reg clk;
	reg rst_n;
	reg [3:0] col_n;

	// Outputs
	wire [3:0] row_n;
	wire [3:0] key;
	wire [3:0] key_detected;
	wire pressed;

	// Instantiate the Unit Under Test (UUT)
	prelab06 uut (
		.clk(clk), 
		.rst_n(rst_n), 
		.col_n(col_n), 
		.row_n(row_n), 
		.key(key), 
		.key_detected(key_detected), 
		.pressed(pressed)
	);

	initial begin
		// Initialize Inputs
		clk = 0;
		rst_n = 0;
		col_n = 0;

		// Wait 100 ns for global reset to finish
		
		// Add stimulus here
		#100 clk=1;rst_n=1;
		#100 clk=0;col_n=4'b0111;
		#100 clk=1;col_n=4'b0111;
		#100 clk=0;col_n=4'b1011;
		#100 clk=1;col_n=4'b1011;
		#100 clk=0;col_n=4'b1101;
		#100 clk=1;col_n=4'b1101;
		#100 clk=0;col_n=4'b1110;
		#100 clk=1;col_n=4'b1110;
		

	end
      
endmodule

